<?php

declare(strict_types=1);

namespace App\Domain\Shared\Domain\Contract;

interface NotificationInterface
{
    public function sendSuccess(string $message): void;

    public function sendError(string $message): void;

    public function sendInfo(string $message): void;

    public function sendWarning(string $message): void;

    public function sendUpdate(array $data): void;
}
